Subject: Re: bug#13397: `date -I` is not documented

From: Eric Blake <[email-masked]>
Date: Wed, 09 Jan 2013 10:21:17 -0700

tag 13397 notabug
thanks

On 01/09/2013 06:12 AM, Petri Koistinen wrote:
> Hi,
> 
> It seems that `date -I` is not documented feature. Could you document it?

It seems you are using an older version of coreutils.  On my Fedora 18
beta box, I see:

$ date --help | grep -- -I
  -I[TIMESPEC], --iso-8601[=TIMESPEC]  output date/time in ISO 8601 format.
$ date --version | head -n1
date (GNU coreutils) 8.17

and looking back in git history, it looks like documentation was
re-added at commit 2f1384b in Oct 2011, once we gave date the ability to
parse the 'T' separator in ISO dates.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org